export default {
  id: 'honor',
  title: '荣誉和奖励（可选）',
  showProgress: true,
  progress: 0,
  get: {
    action: '/zws/v1/enrollment/profiles?project_id=1001',
    callback(data) {
      data.date_of_starting_to_work = data.date_of_starting_to_work + ''
      return data
    }
  },
  update: {
    action: '/zws/v1/enrollment/profiles',
    data: { project_id: 1001 },
    callback(data) {
      return data
    }
  },
  form: {
    options: {
      labelWidth: '160px'
    },
    items: [
      /* 荣誉/奖励名称 */
      {
        'type': 'input-form',
        'label': '荣誉/奖励名称',
        'required': false,
        'model': 'title',
        'model-width': '300px',
        'placeholder': '请输入荣誉/奖励名称'
      },
      /* 颁发机构名称 */
      {
        'type': 'input-form',
        'label': '颁发机构名称',
        'required': false,
        'model': 'institution',
        'model-width': '300px',
        'placeholder': '请输入颁发机构名称'
      },
      /* 颁发时间 */
      {
        'type': 'date-picker-form',
        'elemType': 'month',
        'label': '颁发时间',
        'required': false,
        'model': 'time',
        'model-width': '300px',
        'placeholder': '请选择颁发时间',
        'attrs': { 'value-format': 'yyyy-MM' }
      }
    ]
  }
}
